Subject: Re: [RFC/PATCH] log: add log.firstparent option

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Jul 2015 08:31:55 -0700

Jeff King <[email-masked]> writes:

> Whoops. Usually I "format-patch -s" and then add any notes while
> sending. But the wifi at OSCON was so abysmal that instead I wrote the
> notes directly into the commit message to send the whole thing later.
> And of course format-patch is not smart enough to know that I meant
> everything after the "---" as notes. :)

I think in the cycle we merged Couder's trailer stuff we updated the
helper functions to locate where the S-o-b should go in an existing
message and consolidated (or, at least "talked about consolidating")
them into a single helper.  I do not think we wrote any special case
for "a line with three-dashes and nothing else on it" when we did
so, but that function would be the logical place to do so.